Bug 2260043 - TRIAGE CVE-2024-23849 kernel: off-by-one error for an RDS_MSG_RX_DGRAM_TRACE_MAX comparison, resulting in out-of-bounds access [fedora-all]
Summary: TRIAGE CVE-2024-23849 kernel: off-by-one error for an RDS_MSG_RX_DGRAM_TRACE_...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: kernel
Version: 39
Hardware: Unspecified
OS: Unspecified
medium
medium
Target Milestone: ---
Assignee: Kernel Maintainer List
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: CVE-2024-23849
TreeView+ depends on / blocked
 
Reported: 2024-01-24 08:19 UTC by Rohit Keshri
Modified: 2024-02-06 03:42 UTC (History)
18 users (show)

Fixed In Version: kernel-6.7.3-200.fc39 kernel-6.7.3-100.fc38
Doc Type: No Doc Update
Doc Text:
Clone Of:
Environment:
Last Closed: 2024-02-06 01:18:01 UTC
Type: ---
Embargoed:


Attachments (Terms of Use)

Description Rohit Keshri 2024-01-24 08:19:31 UTC
More information about this security flaw is available in the following bug:

http://bugzilla.redhat.com/show_bug.cgi?id=2260041

Disclaimer: Community trackers are created by Red Hat Product Security team on a best effort basis. Package maintainers are required to ascertain if the flaw indeed affects their package, before starting the update process.

Reproducers, if any, will remain confidential and never be made public, unless done so by the security team.

Comment 1 Rohit Keshri 2024-01-24 08:19:36 UTC
Use the following template to for the 'fedpkg update' request to submit an
update for this issue as it contains the top-level parent bug(s) as well as
this tracking bug.  This will ensure that all associated bugs get updated
when new packages are pushed to stable.

=====

# bugfix, security, enhancement, newpackage (required)
type=security

# low, medium, high, urgent (required)
severity=medium

# testing, stable
request=testing

# Bug numbers: 1234,9876
bugs=2260041,2260043

# Description of your update
notes=Security fix for [PUT CVEs HERE]

# Enable request automation based on the stable/unstable karma thresholds
autokarma=True
stable_karma=3
unstable_karma=-3

# Automatically close bugs when this marked as stable
close_bugs=True

# Suggest that users restart after update
suggest_reboot=False

======

Additionally, you may opt to use the bodhi web interface to submit updates:

https://bodhi.fedoraproject.org/updates/new

Comment 2 Fedora Update System 2024-02-01 13:27:10 UTC
FEDORA-2024-2116a8468b has been submitted as an update to Fedora 39. https://bodhi.fedoraproject.org/updates/FEDORA-2024-2116a8468b

Comment 3 Fedora Update System 2024-02-01 13:27:21 UTC
FEDORA-2024-cf47b35a6c has been submitted as an update to Fedora 38. https://bodhi.fedoraproject.org/updates/FEDORA-2024-cf47b35a6c

Comment 4 Fedora Update System 2024-02-02 02:11:38 UTC
FEDORA-2024-cf47b35a6c has been pushed to the Fedora 38 testing repository.
Soon you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --refresh --advisory=FEDORA-2024-cf47b35a6c`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2024-cf47b35a6c

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 5 Fedora Update System 2024-02-02 02:17:15 UTC
FEDORA-2024-2116a8468b has been pushed to the Fedora 39 testing repository.
Soon you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --refresh --advisory=FEDORA-2024-2116a8468b`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2024-2116a8468b

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 6 Fedora Update System 2024-02-06 01:18:01 UTC
FEDORA-2024-2116a8468b (kernel-6.7.3-200.fc39 and kernel-headers-6.7.3-200.fc39) has been pushed to the Fedora 39 stable repository.
If problem still persists, please make note of it in this bug report.

Comment 7 Fedora Update System 2024-02-06 03:42:39 UTC
FEDORA-2024-cf47b35a6c (kernel-6.7.3-100.fc38 and kernel-headers-6.7.3-100.fc38) has been pushed to the Fedora 38 stable repository.
If problem still persists, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.